aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/install.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/install.sh')
-rwxr-xr-x.travis/install.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/.travis/install.sh b/.travis/install.sh
index 20a88312..def7343b 100755
--- a/.travis/install.sh
+++ b/.travis/install.sh
@@ -46,6 +46,14 @@ elif [ -n "${LIBRESSL}" ]; then
fi
fi
+if [ -n "${DOCKER}" ]; then
+ if [ -n "${OPENSSL}" ] || [ -n "${LIBRESSL}" ]; then
+ echo "OPENSSL and LIBRESSL are not allowed when DOCKER is set."
+ exit 1
+ fi
+ docker pull "$DOCKER"
+fi
+
if [ -z "${DOWNSTREAM}" ]; then
git clone --depth=1 https://github.com/google/wycheproof "$HOME/wycheproof"
fi